Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Interface PrimeMeridian

All Superinterfaces:
  IdentifiedObject

    @UML(identifier="CD_PrimeMeridian",
         specification=ISO_19111)
    public interface PrimeMeridian

extends IdentifiedObject

A prime meridian defines the origin from which longitude values are determined. The `name` initial value is "Greenwich", and that value shall be used when the greenwich longitude value is zero.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Unit` | `getAngularUnit()` Returns the angular unit of the Greenwich longitude.
`double` | `getGreenwichLongitude()` Longitude of the prime meridian measured from the Greenwich meridian, positive eastward.

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getGreenwichLongitude

    @UML(identifier="greenwichLongitude",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    double getGreenwichLongitude()

  Longitude of the prime meridian measured from the Greenwich meridian, positive eastward. The `greenwichLongitude` initial value is zero, and that value shall be used when the meridian name value is "Greenwich".

  Returns:
    The prime meridian Greenwich longitude, in angular unit.
  Unit:
    Length

### getAngularUnit

    @UML(identifier="getAngularUnit",
         specification=OGC_01009)
    Unit getAngularUnit()

  Returns the angular unit of the Greenwich longitude.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.